Update a segment

PATCH
/v1/segments/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The segment's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Request Body

application/json
  1. body
name?string
Length1 <= length <= 200
filter?

Which contacts belong to the segment. Conditions on property (custom properties), email, audience membership, topic subscription and created_at; one level of nested { match, conditions } groups.

Response Body

The segment.

application/json
  1. response
object*"segment"
Value in"segment"
id*string
name*string
filter*

Which contacts belong to the segment. Conditions on property (custom properties), email, audience membership, topic subscription and created_at; one level of nested { match, conditions } groups.

created_at*string
Formatdate-time
updated_at*string
Formatdate-time
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.email.segments.update("seg_01k7c8m4q2f3e9v6t5r1n0p8yz", {  name: "Pro and Scale customers",});
{  "object": "segment",  "id": "seg_01k7c8m4q2f3e9v6t5r1n0p8yz",  "name": "Pro customers",  "filter": {    "version": 1,    "match": "all",    "conditions": [      {        "field": "property",        "key": "plan",        "op": "eq",        "value": "pro"      },      {        "match": "any",        "conditions": [          {            "field": "email",            "op": "ends_with",            "value": "@acme.com"          },          {            "field": "audience",            "op": "in",            "audience_id": "aud_01k7c8m4q2f3e9v6t5r1n0p8yz"          }        ]      }    ]  },  "created_at": "2026-10-10T12:00:00.000Z",  "updated_at": "2026-10-10T12:00:00.000Z"}